---
lang: en
title: 'API docs: express.expressmiddlewareinterceptorprovider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/express
permalink: /doc/en/lb4/apidocs.express.expressmiddlewareinterceptorprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/express](./express.md) &gt; [ExpressMiddlewareInterceptorProvider](./express.expressmiddlewareinterceptorprovider.md)

## ExpressMiddlewareInterceptorProvider class

Base class for MiddlewareInterceptor provider classes

<b>Signature:</b>

```typescript
export declare abstract class ExpressMiddlewareInterceptorProvider<CFG, CTX extends Context = InvocationContext> implements Provider<GenericInterceptor<CTX>> 
```
<b>Implements:</b> [Provider](./context.provider.md)<!-- -->&lt;[GenericInterceptor](./context.genericinterceptor.md)

## Example

To inject the configuration without automatic reloading:

```ts
class SpyInterceptorProvider extends ExpressMiddlewareInterceptorProvider<
  SpyConfig
  > {
    constructor(@config() spyConfig?: SpyConfig) {
      super(spy, spyConfig);
    }
}
```
To inject the configuration without automatic reloading:

```ts
class SpyInterceptorProvider extends ExpressMiddlewareInterceptorProvider<
  SpyConfig
> {
  constructor(@config.view() configView?: ContextView<SpyConfig>) {
    super(spy, configView);
  }
}
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(middlewareFactory, middlewareConfig)](./express.expressmiddlewareinterceptorprovider._constructor_.md) |  | Constructs a new instance of the <code>ExpressMiddlewareInterceptorProvider</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [middlewareConfig?](./express.expressmiddlewareinterceptorprovider.middlewareconfig.md) |  | CFG | <i>(Optional)</i> |
|  [middlewareConfigView?](./express.expressmiddlewareinterceptorprovider.middlewareconfigview.md) |  | [ContextView](./context.contextview.md)<!-- -->&lt;CFG&gt; | <i>(Optional)</i> |
|  [middlewareFactory](./express.expressmiddlewareinterceptorprovider.middlewarefactory.md) |  | [ExpressMiddlewareFactory](./express.expressmiddlewarefactory.md)<!-- -->&lt;CFG&gt; |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [value()](./express.expressmiddlewareinterceptorprovider.value.md) |  |  |


